Package org.drinkless.tdlib

# Class TdApi.EditBusinessChatLink

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.BusinessChatLink>
org.drinkless.tdlib.TdApi.EditBusinessChatLink

Enclosing class:
  TdApi

public static class TdApi.EditBusinessChatLink extends TdApi.Function<TdApi.BusinessChatLink>
Edits a business chat link of the current account. Requires Telegram Business subscription. Returns the edited link.

Returns `BusinessChatLink`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `link`
  The link to edit.
  `TdApi.InputBusinessChatLink`
  `linkInfo`
  New description of the link.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EditBusinessChatLink()`
  Default constructor for a function, which edits a business chat link of the current account.
  `EditBusinessChatLink(String link, TdApi.InputBusinessChatLink linkInfo)`
  Creates a function, which edits a business chat link of the current account.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### link

    public String link
    The link to edit.

  - ### linkInfo

    public TdApi.InputBusinessChatLink linkInfo
    New description of the link.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EditBusinessChatLink

    public EditBusinessChatLink()
    Default constructor for a function, which edits a business chat link of the current account. Requires Telegram Business subscription. Returns the edited link.

    Returns `BusinessChatLink`

  - ### EditBusinessChatLink

    public EditBusinessChatLink(String link, TdApi.InputBusinessChatLink linkInfo)
    Creates a function, which edits a business chat link of the current account. Requires Telegram Business subscription. Returns the edited link.

    Returns `BusinessChatLink`

    Parameters:
      `link` - The link to edit.
      `linkInfo` - New description of the link.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.BusinessChatLink>`
    Returns:
      this.CONSTRUCTOR